#include "Objects.h"

Primitive::Primitive()
{
}

Primitive::Primitive(unsigned int primType)
{
    switch (primType)
    {
        case P_SPHERE:
        {
            type = P_SPHERE;
            radius = 0.5f;
            break;
        }
        case P_TORUS:
        {
            type = P_TORUS;
            inner_radius = 0.15f;
            outer_radius =  0.5f;
            break;
        }
        case P_CONE:
        {
            type = P_CONE;
            height =  0.5f;
            radius = 0.15f;
            break;
        }
        case P_CUBE:
        {
            type = P_CUBE;
            size = 0.5f;
            break;
        }
        case P_ROUNDED_CUBE:
        {
            type = P_ROUNDED_CUBE;
            size =    0.25f;
            radius = 0.025f;
            break;
        }
        defualt:
        {
            break;
        }
    }
}

Primitive::~Primitive() = default;